class Rspec::Dunlop::SelfTest
  def fail_with(message)
    Failure.new(message)
  end

  class Failure < Struct.new(:message)
    def blank?
      true
    end
    def present?
      false
    end
    def falsy?
      true
    end
  end
end

require "rspec/dunlop/self_test/integrity"
class Rspec::Dunlop::SelfTest
  include Rspec::Dunlop::SelfTest::Integrity
end
